function Xdot = compute_mass_derivatives(t,X)

% Declare global variables so we can access their values.
global m k b g

% Pull states out of state vector.
y = X(1);
vy = X(2);

% Calculate acceleration in m/s^2.  This came from our FBD and NSL.
ay = -g - k * y / m - vy * b / m;

% Create state derivative vector.
Xdot = [vy ; ay];
